Bug 142564 - Extend user.get_details to provide more information in API and interim SQL script
Extend user.get_details to provide more information in API and interim SQL sc...
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Max Spevack
Depends On: 147140
Blocks: 135141 145821
  Show dependency treegraph
Reported: 2004-12-10 12:27 EST by Joe deBlaquiere
Modified: 2007-04-18 13:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-08 12:32:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
simple python test script (1.02 KB, text/plain)
2005-03-01 17:45 EST, Bret McMillan
no flags Details

  None (edit)
Comment 1 Joe deBlaquiere 2004-12-10 12:27:18 EST
The user.get_details API provides limited information. The customer only
requires created date, but I would suggest also adding last checkin while we're
messing in that part of the code. We need to provide this in an scriptable form
using a SQL query as an interim step to full support in API.
Comment 2 Todd Warner 2004-12-17 07:24:44 EST
API is bret.
Comment 3 Bret McMillan 2005-01-04 09:12:34 EST
created is easy to add, but what exactly do you mean by "last checkin"?  you
mean last login?
Comment 4 Joe deBlaquiere 2005-01-14 13:44:12 EST
correct. last login.
Comment 5 Todd Warner 2005-02-04 10:35:06 EST
Customer Facing now "NO"
Docs status now tracked by bug 147140
Comment 6 Bret McMillan 2005-02-20 15:10:49 EST
Ok, it's now in webdev.

Test plan:

use web api unit tests
Comment 7 Bret McMillan 2005-02-20 15:12:13 EST
updating hours worked
Comment 8 Clay Murphy 2005-02-25 17:14:31 EST

Review the Documentation section of the rhn (hosted) release notes and
ensure this change is mentioned.

Setting to ON_DEV
Comment 9 Clay Murphy 2005-02-28 14:00:15 EST
Sorry, put this info in the wrong bug. See bug #147140
Comment 10 Max Spevack 2005-03-01 16:15:06 EST
To actually test this bug, what we really want is a perl script that
can make the API call against prod, and make the API call against QA,
and the we can compare the results and ensure that they differ

Bret, can you provide such a script relatively easily?
Comment 11 Bret McMillan 2005-03-01 17:45:21 EST
Created attachment 111559 [details]
simple python test script

This is a simple python script... usage is:

python get-details-test.py [username] [password] [env-hostname]

where env-hostname is something like rhn.webqa.redhat.com, and username &
password identify a user both on rhn.redhat.com as well as env-hostname.

Not really sure why we're testing prod and the difference, probably just need
to test env-hostname and make sure we're getting back what we expect, but you
ask and I provide :)
Comment 12 Max Spevack 2005-03-10 16:10:14 EST
The script passed with success.  Thank you bretm.
Comment 13 Todd Warner 2005-04-08 12:32:54 EDT

Note You need to log in before you can comment on or make changes to this bug.